org.apache.lucene.search

## Class MemoryAccountingBitsetCollector

- java.lang.Object
- - org.apache.lucene.search.SimpleCollector
  - - org.apache.lucene.search.MemoryAccountingBitsetCollector

All Implemented Interfaces:
  Collector, LeafCollector

    public class MemoryAccountingBitsetCollector
    extends SimpleCollector

Bitset collector which supports memory tracking

### Constructor Summary

Constructors
Constructor and Description
`MemoryAccountingBitsetCollector(CollectorMemoryTracker tracker)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `collect(int doc)`
`protected void` `doSetNextReader(LeafReaderContext context)`
`ScoreMode` `scoreMode()`

### Methods inherited from class org.apache.lucene.search.SimpleCollector

`getLeafCollector, setScorer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MemoryAccountingBitsetCollector

    public MemoryAccountingBitsetCollector(CollectorMemoryTracker tracker)

### Method Detail

#### doSetNextReader

    protected void doSetNextReader(LeafReaderContext context)
                            throws IOException

Overrides:
  `doSetNextReader` in class `SimpleCollector`
Throws:
  `IOException`

#### collect

    public void collect(int doc)

Specified by:
  `collect` in interface `LeafCollector`
Specified by:
  `collect` in class `SimpleCollector`

#### scoreMode

    public ScoreMode scoreMode()